Package org.eclipse.mat.snapshot.extension

# Interface IThreadInfo

public interface IThreadInfo
Holds detailed information about a thread. Used by implementations of IThreadDetailsResolver to add information about threads. Supplied as an argument to `IRequestDetailsResolver.complement(org.eclipse.mat.snapshot.ISnapshot, org.eclipse.mat.snapshot.extension.IThreadInfo, int[], int, org.eclipse.mat.util.IProgressListener)` method.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDetails(String name, IResult details)`
Add details of tasks performed by the thread.
`void`
`addKeyword(String keyword)`
To add a keyword used for error report summaries
`void`
`addRequest(String summary, IResult details)`
Add requests such as the URL from a web server
`int`
`getContextClassLoaderId()`
The context class loader for the thread
`Collection<String>`
`getKeywords()`
Get a set of keywords reflecting a high level description of the situation.
`CompositeResult`
`getRequests()`
Get requests such as the URL from a web server
`int`
`getThreadId()`
Get the thread id
`IObject`
`getThreadObject()`
Get the actual thread object
`void`
`setValue(Column column, Object value)`
To add particular information associated with a column

## Method Details

### getThreadId

int getThreadId()
Get the thread id

Returns:
  the thread id

### getThreadObject

IObject getThreadObject()
Get the actual thread object

Returns:
  the thread object

### setValue

void setValue(Column column, Object value)
To add particular information associated with a column

Parameters:
  `column` - the column to change
  `value` - the new value for the column

### addKeyword

void addKeyword(String keyword)
To add a keyword used for error report summaries

Parameters:
  `keyword` -

### addDetails

void addDetails(String name, IResult details)
Add details of tasks performed by the thread. Doesn't appear to be used yet.

Parameters:
  `name` - subtitle for the report
  `details` - the result containing the details

### addRequest

void addRequest(String summary, IResult details)
Add requests such as the URL from a web server

Parameters:
  `summary` - a title
  `details` - the result containing the request

### getRequests

CompositeResult getRequests()
Get requests such as the URL from a web server

Returns:
  a combination result of all the requests

### getKeywords

Collection<String> getKeywords()
Get a set of keywords reflecting a high level description of the situation.

Returns:
  a collection of keywords

### getContextClassLoaderId

int getContextClassLoaderId()
The context class loader for the thread

Returns:
  the id of the class loader